Skip to main content
PATCH
Update sandbox environment flags

Authorizations

Authorization
string
header
required

Caller credential (Authorization: Bearer <token>). Required on protected routes when auth is enabled. Browser sessions may use the HttpOnly id_token or accessToken cookie instead.

Path Parameters

name
string
required

Sandbox environment name.

Required string length: 2 - 64
Pattern: ^[a-z][a-z0-9-]{0,62}[a-z0-9]$

Body

application/json
enabled
boolean

Whether new chats and agents may select this environment.

is_default
boolean

If true, make this environment the default in new chats and agents.

Response

The updated sandbox environment.

data
object
required